<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_22) on Mon Sep 24 19:58:00 GMT+01:00 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
CachingHttpAsyncClient (HttpComponents AsyncClient 4.0-beta3 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.http.impl.client.cache.CachingHttpAsyncClient class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="CachingHttpAsyncClient (HttpComponents AsyncClient 4.0-beta3 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CachingHttpAsyncClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/client/cache/CachingHttpAsyncClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CachingHttpAsyncClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client.cache</FONT>
<BR>
Class CachingHttpAsyncClient</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.cache.CachingHttpAsyncClient</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1">@ThreadSafe
</FONT>public class <B>CachingHttpAsyncClient</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CACHE_RESPONSE_STATUS">CACHE_RESPONSE_STATUS</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient()">CachingHttpAsyncClient</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient(org.apache.http.impl.client.cache.CacheConfig)">CachingHttpAsyncClient</A></B>(org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient)">CachingHttpAsyncClient</A></B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.impl.client.cache.CacheConfig)">CachingHttpAsyncClient</A></B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                       org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.client.cache.HttpCacheStorage, org.apache.http.impl.client.cache.CacheConfig)">CachingHttpAsyncClient</A></B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                       org.apache.http.client.cache.HttpCacheStorage&nbsp;storage,
                       org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.client.cache.ResourceFactory, org.apache.http.client.cache.HttpCacheStorage, org.apache.http.impl.client.cache.CacheConfig)">CachingHttpAsyncClient</A></B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                       org.apache.http.client.cache.ResourceFactory&nbsp;resourceFactory,
                       org.apache.http.client.cache.HttpCacheStorage&nbsp;storage,
                       org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.nio.protocol.HttpAsyncRequestProducer&nbsp;requestProducer,
        org.apache.http.nio.protocol.HttpAsyncResponseConsumer&lt;T&gt;&nbsp;responseConsumer,
        org.apache.http.concurrent.FutureCallback&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt;</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.nio.protocol.HttpAsyncRequestProducer&nbsp;requestProducer,
        org.apache.http.nio.protocol.HttpAsyncResponseConsumer&lt;T&gt;&nbsp;responseConsumer,
        org.apache.http.protocol.HttpContext&nbsp;context,
        org.apache.http.concurrent.FutureCallback&lt;T&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.HttpHost&nbsp;target,
        org.apache.http.HttpRequest&nbsp;request,
        org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.HttpHost&nbsp;target,
        org.apache.http.HttpRequest&nbsp;request,
        org.apache.http.protocol.HttpContext&nbsp;context,
        org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;futureCallback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.client.methods.HttpUriRequest&nbsp;request,
        org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></B>(org.apache.http.client.methods.HttpUriRequest&nbsp;request,
        org.apache.http.protocol.HttpContext&nbsp;context,
        org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getCacheHits()">getCacheHits</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reports the number of times that the cache successfully responded
 to an <CODE>HttpRequest</CODE> without contacting the origin server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getCacheMisses()">getCacheMisses</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reports the number of times that the cache contacted the origin
 server because it had no appropriate response cached.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getCacheUpdates()">getCacheUpdates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reports the number of times that the cache was able to satisfy
 a response by revalidating an existing but stale cache entry.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/apache/http/nio/conn/ClientAsyncConnectionManager.html" title="interface in org.apache.http.nio.conn">ClientAsyncConnectionManager</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getConnectionManager()">getConnectionManager</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.apache.http.params.HttpParams</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getParams()">getParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.apache.http.nio.reactor.IOReactorStatus</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#getStatus()">getStatus</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#isSharedCache()">isSharedCache</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reports whether this <code>CachingHttpClient</code> is configured as
 a shared (public) or non-shared (private) cache.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#shutdown()">shutdown</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#start()">start</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/apache/http/impl/client/cache/CachingHttpAsyncClient.html#supportsRangeAndContentRangeHeaders()">supportsRangeAndContentRangeHeaders</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reports whether this <code>CachingHttpClient</code> implementation
 supports byte-range requests as specified by the <code>Range</code>
 and <code>Content-Range</code> headers.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="CACHE_RESPONSE_STATUS"><!-- --></A><H3>
CACHE_RESPONSE_STATUS</H3>
<PRE>
public static final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>CACHE_RESPONSE_STATUS</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../constant-values.html#org.apache.http.impl.client.cache.CachingHttpAsyncClient.CACHE_RESPONSE_STATUS">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="CachingHttpAsyncClient()"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>()
                       throws org.apache.http.nio.reactor.IOReactorException</PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE>org.apache.http.nio.reactor.IOReactorException</CODE></DL>
</DL>
<HR>

<A NAME="CachingHttpAsyncClient(org.apache.http.impl.client.cache.CacheConfig)"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>(org.apache.http.impl.client.cache.CacheConfig&nbsp;config)
                       throws org.apache.http.nio.reactor.IOReactorException</PRE>
<DL>
<DL>

<DT><B>Throws:</B>
<DD><CODE>org.apache.http.nio.reactor.IOReactorException</CODE></DL>
</DL>
<HR>

<A NAME="CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient)"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client)</PRE>
<DL>
</DL>
<HR>

<A NAME="CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.impl.client.cache.CacheConfig)"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                              org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</PRE>
<DL>
</DL>
<HR>

<A NAME="CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.client.cache.ResourceFactory, org.apache.http.client.cache.HttpCacheStorage, org.apache.http.impl.client.cache.CacheConfig)"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                              org.apache.http.client.cache.ResourceFactory&nbsp;resourceFactory,
                              org.apache.http.client.cache.HttpCacheStorage&nbsp;storage,
                              org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</PRE>
<DL>
</DL>
<HR>

<A NAME="CachingHttpAsyncClient(org.apache.http.nio.client.HttpAsyncClient, org.apache.http.client.cache.HttpCacheStorage, org.apache.http.impl.client.cache.CacheConfig)"><!-- --></A><H3>
CachingHttpAsyncClient</H3>
<PRE>
public <B>CachingHttpAsyncClient</B>(<A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A>&nbsp;client,
                              org.apache.http.client.cache.HttpCacheStorage&nbsp;storage,
                              org.apache.http.impl.client.cache.CacheConfig&nbsp;config)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getCacheHits()"><!-- --></A><H3>
getCacheHits</H3>
<PRE>
public long <B>getCacheHits</B>()</PRE>
<DL>
<DD>Reports the number of times that the cache successfully responded
 to an <CODE>HttpRequest</CODE> without contacting the origin server.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of cache hits</DL>
</DD>
</DL>
<HR>

<A NAME="getCacheMisses()"><!-- --></A><H3>
getCacheMisses</H3>
<PRE>
public long <B>getCacheMisses</B>()</PRE>
<DL>
<DD>Reports the number of times that the cache contacted the origin
 server because it had no appropriate response cached.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of cache misses</DL>
</DD>
</DL>
<HR>

<A NAME="getCacheUpdates()"><!-- --></A><H3>
getCacheUpdates</H3>
<PRE>
public long <B>getCacheUpdates</B>()</PRE>
<DL>
<DD>Reports the number of times that the cache was able to satisfy
 a response by revalidating an existing but stale cache entry.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of cache revalidations</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt; <B>execute</B>(org.apache.http.HttpHost&nbsp;target,
                                                    org.apache.http.HttpRequest&nbsp;request,
                                                    org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt; <B>execute</B>(org.apache.http.nio.protocol.HttpAsyncRequestProducer&nbsp;requestProducer,
                             org.apache.http.nio.protocol.HttpAsyncResponseConsumer&lt;T&gt;&nbsp;responseConsumer,
                             org.apache.http.concurrent.FutureCallback&lt;T&gt;&nbsp;callback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public &lt;T&gt; <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;T&gt; <B>execute</B>(org.apache.http.nio.protocol.HttpAsyncRequestProducer&nbsp;requestProducer,
                             org.apache.http.nio.protocol.HttpAsyncResponseConsumer&lt;T&gt;&nbsp;responseConsumer,
                             org.apache.http.protocol.HttpContext&nbsp;context,
                             org.apache.http.concurrent.FutureCallback&lt;T&gt;&nbsp;callback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.nio.protocol.HttpAsyncRequestProducer, org.apache.http.nio.protocol.HttpAsyncResponseConsumer, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt; <B>execute</B>(org.apache.http.client.methods.HttpUriRequest&nbsp;request,
                                                    org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt; <B>execute</B>(org.apache.http.client.methods.HttpUriRequest&nbsp;request,
                                                    org.apache.http.protocol.HttpContext&nbsp;context,
                                                    org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;callback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.client.methods.HttpUriRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionManager()"><!-- --></A><H3>
getConnectionManager</H3>
<PRE>
public <A HREF="../../../../../../org/apache/http/nio/conn/ClientAsyncConnectionManager.html" title="interface in org.apache.http.nio.conn">ClientAsyncConnectionManager</A> <B>getConnectionManager</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#getConnectionManager()">getConnectionManager</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getParams()"><!-- --></A><H3>
getParams</H3>
<PRE>
public org.apache.http.params.HttpParams <B>getParams</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#getParams()">getParams</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/Future.html" title="class or interface in java.util.concurrent">Future</A>&lt;org.apache.http.HttpResponse&gt; <B>execute</B>(org.apache.http.HttpHost&nbsp;target,
                                                    org.apache.http.HttpRequest&nbsp;request,
                                                    org.apache.http.protocol.HttpContext&nbsp;context,
                                                    org.apache.http.concurrent.FutureCallback&lt;org.apache.http.HttpResponse&gt;&nbsp;futureCallback)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext, org.apache.http.concurrent.FutureCallback)">execute</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="supportsRangeAndContentRangeHeaders()"><!-- --></A><H3>
supportsRangeAndContentRangeHeaders</H3>
<PRE>
public boolean <B>supportsRangeAndContentRangeHeaders</B>()</PRE>
<DL>
<DD>Reports whether this <code>CachingHttpClient</code> implementation
 supports byte-range requests as specified by the <code>Range</code>
 and <code>Content-Range</code> headers.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if byte-range requests are supported</DL>
</DD>
</DL>
<HR>

<A NAME="isSharedCache()"><!-- --></A><H3>
isSharedCache</H3>
<PRE>
public boolean <B>isSharedCache</B>()</PRE>
<DL>
<DD>Reports whether this <code>CachingHttpClient</code> is configured as
 a shared (public) or non-shared (private) cache. See <CODE>CacheConfig#setSharedCache(boolean)</CODE>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if we are behaving as a shared (public)
   cache</DL>
</DD>
</DL>
<HR>

<A NAME="getStatus()"><!-- --></A><H3>
getStatus</H3>
<PRE>
public org.apache.http.nio.reactor.IOReactorStatus <B>getStatus</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#getStatus()">getStatus</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shutdown()"><!-- --></A><H3>
shutdown</H3>
<PRE>
public void <B>shutdown</B>()
              throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#shutdown()">shutdown</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="start()"><!-- --></A><H3>
start</H3>
<PRE>
public void <B>start</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html#start()">start</A></CODE> in interface <CODE><A HREF="../../../../../../org/apache/http/nio/client/HttpAsyncClient.html" title="interface in org.apache.http.nio.client">HttpAsyncClient</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/CachingHttpAsyncClient.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/client/cache/CachingHttpAsyncClient.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CachingHttpAsyncClient.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2010-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
